Bug 912528 - Allow user to cleanup resources
Summary: Allow user to cleanup resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-18 21:55 UTC by Chris Feist
Modified: 2013-11-21 11:51 UTC (History)
6 users (show)

Fixed In Version: pcs-0.9.59-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Users were unable to cleanup failed resources using pcs Consequence: Resource failures were never cleaned up Fix: Added 'pcs resource cleanup' command to clean up resources Result: Users can now cleanup resources using the pcs command.
Clone Of:
Environment:
Last Closed: 2013-11-21 11:51:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1633 normal SHIPPED_LIVE pcs bug fix and enhancement update 2013-11-20 21:53:48 UTC

Description Chris Feist 2013-02-18 21:55:54 UTC
Description of problem:
There is no way to cleanup a failed resource with pcs

Version-Release number of selected component (if applicable):
pcs-0.9.26-11.el6.noarch

A 'pcs resource cleanup <resource>' command should be added which does the equivalend of 'crm_resource -C -r <resource>'

Comment 2 Chris Feist 2013-03-07 20:54:24 UTC
Fixed upstream with commit id de483c4c29f64c262d1ff2ea75f5b7c745c3e995

Comment 8 Chris Feist 2013-07-25 22:42:03 UTC
Fixed in pcs-0.9.59-1.el6:

[root@ask-02 rpmbuild]# rpm -q pcs
pcs-0.9.59-1.el6.noarch
[root@ask-02 rpmbuild]# pcs resource cleanup -h

Usage: pcs resource cleanup...
    cleanup <resource id>
        Cleans up the resource in the lrmd (useful to reset the resource
        status and failcount)

Comment 11 errata-xmlrpc 2013-11-21 11:51:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1633.html


Note You need to log in before you can comment on or make changes to this bug.